package eu.univento.core.api.languages;

import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.api.player.Perms;

/**
 * @author joethei
 * @version 0.1
 */
public class Language_EN implements Languages{

        @Override
        public String UNKNOWN_ERROR() {
            return "§cEs ist ein unbekannter Fehler aufgetreten";
        }

        @Override
        public String NO_PERMS() {
            return "§cYou're not allowed do use this command";
        }

        @Override
        public String ERROR() {
            return "§cERROR: ";
        }

        @Override
        public String NOT_ONLINE(String name) {
            return "§7" + name + " is §cnot §7online";
        }

        @Override
        public String KICK_RESTART() {
            return "§cThe server has been restarted";
        }

        @Override
        public String KICK_FULL() {
            return "§cThe server is full";
        }

        @Override
        public String COMMAND_NOT_FOUND() {
            return "§cThis command hasn't been found.";
        }

        @Override
        public String Core_FIX_OWN() {
            return "§7You were §efixed";
        }

        @Override
        public String Core_FIX_OTHER(CustomPlayer p) {
            return "§7You §efixed " + p.getDisplayName();
        }

        @Override
        public String Core_FIX_BY_OTHER(CustomPlayer p) {
            return "§7You've been §efixed §7by " + p.getDisplayName();
        }

        @Override
        public String Core_NICK_ON() {
            return "§7You got a §enickname";
        }

        @Override
        public String Core_NICK_OFF() {
            return "§7Now you have §cno more keinen §enickname";
        }

        @Override
        public String Core_BUILD_ON() {
            return "§7You've §ajoined §7the building-mode";
        }

        @Override
        public String Core_BUILD_OFF() {
            return "§7You've §cleft §7the building-mode";
        }

        @Override
        public String Core_BAN_NO_REASON() {
            return "§cThis reason doesn't exist";
        }

        @Override
        public String Core_BAN_USAGE() {
            return "§cUse <player> <reason>";
        }

        @Override
        public String Core_BAN_BANNED(CustomPlayer p) {
            return "§7You've §cbanned " + p.getColor() + p.getDisplayName();
        }

        @Override
        public String Core_GM_USAGE() {
            return "§7Use §e/gm <0 | 1 | 2 | 3>";
        }

        @Override
        public String Core_GM_CHANGED() {
            return "§7You're gamemode has been §achanged";
        }

        @Override
        public String Core_GLOBALMUTE_ON() {
            return "§7The server has been §cmuted";
        }

        @Override
        public String Core_GLOBALMUTE_OFF() {
            return "§7The server has been §aunmuted";
        }

        @Override
        public String Core_RUNAS_USAGE() {
            return "§cUse /runas <player> <command>";
        }

        @Override
        public String Core_RUNAS_RUN(CustomPlayer p) {
            return "§7The player " + p.getColor() + p.getDisplayName() + " §7has executed your command §esuccesfully";
        }

        @Override
        public String Core_SETRANK_USAGE() {
            return "§cUse /setrank <player> <rank>";
        }

        @Override
        public String Core_SETRANK_KICK() {
            return "\n§aYou've got a new rank,§e\nplease rejoin§7.";
        }

        @Override
        public String Core_SETRANK_NO_RANK() {
            return "§cThis rank doesn't exist";
        }

        @Override
        public String Core_SETRANK_SET(CustomPlayer p, Perms.Ranks rank) {
            return "§7You gave " + p.getDisplayName() + " the rank §e" + rank.toString();
        }

        @Override
        public String Core_TS_ALLREADY_VERIFIED() {
            return "§cYou've already had a verificated account";
        }

        @Override
        public String Core_TS_VERIFIED() {
            return "§7You verificated your account §esuccesfully";
        }

        @Override
        public String Core_VANISH_ON() {
            return "§7You are now §aunvisible";
        }

        @Override
        public String Core_VANISH_OFF() {
            return "§7You are now §cvisible §7again";
        }

        @Override
        public String Core_SERVER_MUTED() {
            return "§7The chat has been §cblocked";
        }

        @Override
        public String Core_CHAT_CLEARED(CustomPlayer p) {
            return "§7The chat has been §ccleaned §7by " + p.getColor() + p.getDisplayName();
        }

        @Override
        public String Core_TAB_TITLE() {
            return "§7You're playing on §e";
        }

        @Override
        public String Lobby_PLAYERS_HIDE() {
            return "§7You've §chidden §7all other players";
        }

        @Override
        public String Lobby_PLAYERS_SHOW() {
            return "§7Now you can §asee §7all other players ";
        }

        @Override
        public String Lobby_AUTONICK_ON() {
            return "§7You'll §aget an automatical §enickname";
        }

        @Override
        public String Lobby_AUTONICK_OFF() {
            return "§7You're §cnot getting an automatical §enickname §eanymore";
        }

        @Override
        public String Lobby_FORCEFIELD_ON() {
            return "§7You §aactivated §7your §eforcefield";
        }

        @Override
        public String Lobby_FORCEFIELD_OFF() {
            return "§7You §cdeactivated §7your §eforcefield";
        }

        @Override
        public String Lobby_SILENT_LOBBY_ON() {
            return "§7You §ajoined §7the §esilent-lobby";
        }

        @Override
        public String Lobby_SILENT_LOBBY_OFF() {
            return "§7You §eleft §7the §esilent-lobby";
        }

        @Override
        public String Lobby_PLAYING_MUSIC_PREFIX() {
            return "§6Now playing: ";
        }

        @Override
        public String Lobby_FOUND_ITEM_PREFIX() {
            return "§7You've §efound §7something";
        }

        @Override
        public String Lobby_SET_LOCATION() {
            return "§aPoisition has been set";
        }

        @Override
        public String Lobby_SET_LOCATION_USAGE() {
            return "§cUse /setloc <name>";
        }

        @Override
        public String Lobby_DROP_ITEM_USAGE() {
            return "§cUse /dropitem <item>";
        }

        @Override
        public String Lobby_DROP_ITEM() {
            return "§aYou set an item";
        }

        @Override
        public String Lobby_SET_SIGN() {
            return "§aNeues Status Schild erstellt";
        }

        @Override
        public String Lobby_JOIN_TITLE_1() {
            return "§6univento§7.§eeu";
        }

        @Override
        public String Lobby_JOIN_TITLE_2() {
            return "§cI'm just cleaning hear";
        }

        @Override
        public String Lobby_PET_ADD() {
            return "§7Now you have a §epet";
        }

        @Override
        public String Lobby_PET_REMOVE() {
            return "§7Du hast nun §ckein §eHaustier §7mehr";
        }

        @Override
        public String Lobby_PARKOUR_ON() {
            return "§7You §ajoined §7the §eparkour mode";
        }

        @Override
        public String Lobby_PARKOUR_OFF() {
            return "§7You §cleft §7the §eparkour mode";
        }

        @Override
        public String LobbyItems_NAVIGATOR() {
            return "§eNavigator";
        }

        @Override
        public String LobbyItems_PLAYER_HIDER_ON() {
            return "§cHide players";
        }

        @Override
        public String LobbyItems_PLAYER_HIDER_OFF() {
            return "§aShow players";
        }

        @Override
        public String LobbyItems_AUTO_NICK() {
            return "§5AutoNick";
        }

        @Override
        public String LobbyItems_SILENT_LOBBY() {
            return "§cSilent-Lobby";
        }

        @Override
        public String LobbyItems_FORCEFIELD() {
            return "§aForcefield";
        }

        @Override
        public String LobbyItems_FUN_CHEST() {
            return "§cF§aU§eN§3Chest";
        }

        @Override
        public String LobbyItems_PROFILE() {
            return "§eYour profile";
        }

        @Override
        public String LobbyItems_YOUTUBER() {
            return "§5Youtuber Funktionen";
        }

        @Override
        public String LobbyItems_SUGGESTION() {
            return "§6Suggestions";
        }

        @Override
        public String LobbyItems_SPAWN() {
            return "§6Spawn";
        }

        @Override
        public String LobbyItems_PREMIUMHUB() {
            return "§6Premium Lobby";
        }

        @Override
        public String LobbyItems_MAYA() {
            return "§6Maya";
        }

        @Override
        public String LobbyItems_WOOLGET() {
            return "§6WoolGet";
        }

        @Override
        public String LobbyItems_BUILDSERVER() {
            return "§aBuilding-Server";
        }

        @Override
        public String LobbyItems_PLAYERS_ONLINE() {
            return " §6players online";
        }

        @Override
        public String LobbyItems_GADGETS() {
            return "§6Gadgets";
        }

        @Override
        public String LobbyItems_MUSIC() {
            return "§6Music";
        }

        @Override
        public String LobbyItems_PARTICLE() {
            return "§6Particles";
        }

        @Override
        public String LobbyItems_PETS() {
            return "§6Pets";
        }

        @Override
        public String LobbyItems_YOUR_PET() {
            return "§6your pet";
        }

        @Override
        public String LobbyItems_PETS_NAME() {
            return "§6change name";
        }

        @Override
        public String LobbyItems_PETS_AGE() {
            return "§6change age";
        }

        @Override
        public String LobbyItems_PETS_RIDE() {
            return "§6ride";
        }

        @Override
        public String LobbyItems_PETS_REMOVE() {
            return "§6ride pet";
        }

        @Override
        public String LobbyItems_PETS_PIG() {
            return "§6pig";
        }

        @Override
        public String LobbyItems_PETS_COW() {
            return "§6cow";
        }

        @Override
        public String LobbyItems_PETS_CHICKEN() {
            return "§6chicken";
        }

        @Override
        public String LobbyItems_PETS_RABBIT() {
            return "§6rabbit";
        }

        @Override
        public String LobbyItems_PETS_MUSHROM_COW() {
            return "§6mushroom-cow";
        }

        @Override
        public String LobbyItems_PLAYER_MENU() {
            return " menu";
        }

        @Override
        public String LobbyItems_PLAYER_FRIEND() {
            return "§6send freind request";
        }

        @Override
        public String LobbyItems_PLAYER_PARTY() {
            return "§6send party request";
        }

        @Override
        public String LobbyItems_PLAYER_PROFILE() {
            return "§6Profil";
        }

        @Override
        public String LobbyItems_PLAYER_STATS() {
            return "§6stats";
        }

        @Override
        public String LobbyItems_STATS() {
            return "§6Deine Statistiken";
        }

        @Override
        public String LobbyItems_FRIENDS() {
            return "§6friends";
        }

        @Override
        public String LobbyItems_SETTINGS() {
            return "§eSettings";
        }

        @Override
        public String LobbyItems_SETTINGS_FASTMENU() {
            return "§6inventory animations";
        }

        @Override
        public String LobbyItems_SETTINGS_SERVER_TELEPORT() {
            return "§6Server-Teleport";
        }

        @Override
        public String LobbyItems_SETTINGS_PARTY_REQUESTS() {
            return "§6party requests";
        }

        @Override
        public String LobbyItems_SETTINGS_FRIEND_REQUESTS() {
            return "§6friend requests";
        }

        @Override
        public String LobbyItems_SETTINGS_CHATSOUNDS() {
            return "§6chat sounds";
        }

        @Override
        public String LobbyItems_SETTINGS_EFFECTS() {
            return "§6effects";
        }

        @Override
        public String LobbyItems_SETTINGS_LANGUAGES() {
            return "§6languages";
        }

        @Override
        public String LobbyItems_SETTINGS_ON() {
            return "§aactivated";
        }

        @Override
        public String LobbyItems_SETTINGS_OFF() {
            return "§cdeactivated";
        }

        @Override
        public String LobbyItems_BACK() {
            return "§cback";
        }

        @Override
        public String LobbyBoard_FOUND_SECRETS() {
            return "§eSecrets§7:";
        }

        @Override
        public String LobbyBoard_COINS() {
            return "§eYour coins§7:";
        }

        @Override
        public String LobbyBoard_TS() {
            return "§eTeamSpeak§7:";
        }

        @Override
        public String LobbyBoard_FORUM() {
            return "§eForum§7:";
        }

        @Override
        public String LobbyBoard_NEW() {
            return "§e§lJetzt neu:";
        }

        @Override
        public String LobbyBoard_NEWS() {
            return "Scheibenwischer";
        }
}