package eu.univento.core.api.languages;

import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.api.player.Perms;

/**
 * @author joethei
 * @version 0.1
 */
public class Language_IT implements Languages{

    @Override
    public String UNKNOWN_ERROR() {
        return "§cSi è presentato un errore sconosciuto";
    }

    @Override
    public String NO_PERMS() {
        return "§cNon hai accesso a quel commando";
    }

    @Override
    public String ERROR() {
        return "§cErrore: ";
    }

    @Override
    public String NOT_ONLINE(String name) {
        return "§7" + name + " §cnon §7è online";
    }

    @Override
    public String KICK_RESTART() {
        return "§cIl server è stato riavviato";
    }

    @Override
    public String KICK_FULL() {
        return "§cQuesto server è pieno";
    }

    @Override
    public String COMMAND_NOT_FOUND() {
        return "§cNon è stato trovato questo commando";
    }

    @Override
    public String Core_FIX_OWN() {
        return "§7Tu sei stato §efissato";
    }

    @Override
    public String Core_FIX_OTHER(CustomPlayer p) {
        return "§7Tu hai §efissato " + p.getDisplayName();
    }

    @Override
    public String Core_FIX_BY_OTHER(CustomPlayer p) {
        return "§7Tu sei stato §efissato §7da" + p.getDisplayName();
    }

    @Override
    public String Core_NICK_ON() {
        return "§7Hai ricevuto un §eNickname";
    }

    @Override
    public String Core_NICK_OFF() {
        return "§7Adesso §cnon §7hai più un §eNickname";
    }

    @Override
    public String Core_BUILD_ON() {
        return "§7Tu sei §aentrato nel §emodo di costruzione";
    }

    @Override
    public String Core_BUILD_OFF() {
        return "§7Tu sei §auscito dal §emodo di costruzione";
    }

    @Override
    public String Core_BAN_NO_REASON() {
        return "§cQuesto motivo non esiste";
    }

    @Override
    public String Core_BAN_USAGE() {
        return "§cDevi usare /ban <giocatore> <motivo>";
    }

    @Override
    public String Core_BAN_BANNED(CustomPlayer p) {
        return "§7Tu hai §ebannato " + p.getColor() + p.getDisplayName();
    }

    @Override
    public String Core_GM_USAGE() {
        return "§7Usi §e/gm <0 | 1 | 2 | 3>";
    }

    @Override
    public String Core_GM_CHANGED() {
        return "§7La tua modalitá del gioco è stata §aaggiornata";
    }

    @Override
    public String Core_GLOBALMUTE_ON() {
        return "§7Il server è stato messo §csilenzioso";
    }

    @Override
    public String Core_GLOBALMUTE_OFF() {
        return "§7Il server è stato rimesso §cnormale";
    }

    @Override
    public String Core_RUNAS_USAGE() {
        return "§cUsi /runas <giocatore> <commando>";
    }

    @Override
    public String Core_RUNAS_RUN(CustomPlayer p) {
        return p.getColor() + p.getDisplayName() + " §7ha eseguito il tuo commando";
    }

    @Override
    public String Core_SETRANK_USAGE() {
        return "§cUsi /setrank <giocatore> <gruppo>";
    }

    @Override
    public String Core_SETRANK_KICK() {
        return "\n§aHai un nuovo gruppo§e\nti prego di rientrare il server§7.";
    }

    @Override
    public String Core_SETRANK_NO_RANK() {
        return "§cQuesto gruppo non esiste";
    }

    @Override
    public String Core_SETRANK_SET(CustomPlayer p, Perms.Ranks rank) {
        return "§7Hai dato " + p.getDisplayName() + " il gruppo §e" + rank.toString();
    }
    @Override
    public String Core_TS_ALLREADY_VERIFIED() {
        return "§cTu hai già un account verificato";
    }

    @Override
    public String Core_TS_VERIFIED() {
        return "§7Hai verificato il tuo account con §esuccesso";
    }

    @Override
    public String Core_VANISH_ON() {
        return "§7Adesso sei §ainvisibile §7per gli altri";
    }

    @Override
    public String Core_VANISH_OFF() {
        return "§7Adesso sei §crivisibile §7per gli altri";
    }

    @Override
    public String Core_SERVER_MUTED() {
        return "§7Il chat è stato §cmutato";
    }

    @Override
    public String Core_CHAT_CLEARED(CustomPlayer p) {
        return "§7La chat è stato §cpulito §7da " + p.getColor() + p.getDisplayName();
    }

    @Override
    public String Core_TAB_TITLE() {
        return "§7Stai giocando su §e";
    }

    @Override
    public String Lobby_PLAYERS_HIDE() {
        return "§7Adesso gli altri sono §cinvisibili §7per te";
    }

    @Override
    public String Lobby_PLAYERS_SHOW() {
        return "§7Adesso gli altri sono §avisibili §7per te";
    }

    @Override
    public String Lobby_AUTONICK_ON() {
        return "§7Adesso ti viene dato un §esoprannome §7automatico";
    }

    @Override
    public String Lobby_AUTONICK_OFF() {
        return "§7Adesso §cnon §7ti viene più dato un §esoprannome §7automatico";
    }

    @Override
    public String Lobby_FORCEFIELD_ON() {
        return "§7Hai §7attivato §7il §eforcefield";
    }

    @Override
    public String Lobby_FORCEFIELD_OFF() {
        return "§7Hai §cdisattivato §7il §eforcefield";
    }

    @Override
    public String Lobby_SILENT_LOBBY_ON() {
        return "§7Sei §aentrato §7nella §esilent-lobby";
    }

    @Override
    public String Lobby_SILENT_LOBBY_OFF() {
        return "§7Sei §euscita §7della §esilent-lobby";
    }

    @Override
    public String Lobby_PLAYING_MUSIC_PREFIX() {
        return "§6In riproduzione: ";
    }

    @Override
    public String Lobby_FOUND_ITEM_PREFIX() {
        return "§7Hai §etrovato §7qualcosa";
    }

    @Override
    public String Lobby_SET_LOCATION() {
        return "§aPosizione è stata fissata";
    }

    @Override
    public String Lobby_SET_LOCATION_USAGE() {
        return "§cUsi /setloc <nome>";
    }

    @Override
    public String Lobby_DROP_ITEM_USAGE() {
        return "§cUsi /dropitem <item>";
    }

    @Override
    public String Lobby_DROP_ITEM() {
        return "§aHai messo un nuovo item qui.";
    }

    @Override
    public String Lobby_SET_SIGN() {
        return "§aNeues Status Schild erstellt";
    }

    @Override
    public String Lobby_JOIN_TITLE_1() {
        return "§6univento§7.§eeu";
    }

    @Override
    public String Lobby_JOIN_TITLE_2() {
        return "§cIo solo pulisco qui";
    }

    @Override
    public String Lobby_PET_ADD() {
        return "§7Adesso hai un §eanimale domestico";
    }

    @Override
    public String Lobby_PET_REMOVE() {
        return "§cNon §7hai più un §eanimale domestico";
    }

    @Override
    public String Lobby_PARKOUR_ON() {
        return "§7Sei §aentrato §7nel §emodo del parkour";
    }

    @Override
    public String Lobby_PARKOUR_OFF() {
        return "§7Sei §cuscito §7del §emodo del parkour";
    }

    @Override
    public String LobbyItems_NAVIGATOR() {
        return "§eNavigatore";
    }

    @Override
    public String LobbyItems_PLAYER_HIDER_ON() {
        return "§cNascondere i giocatori";
    }

    @Override
    public String LobbyItems_PLAYER_HIDER_OFF() {
        return "§aMostrare i giocatori";
    }

    @Override
    public String LobbyItems_AUTO_NICK() {
        return "§5AutoNick";
    }

    @Override
    public String LobbyItems_SILENT_LOBBY() {
        return "§cSilent-Lobby";
    }

    @Override
    public String LobbyItems_FORCEFIELD() {
        return "§aForcefield";
    }

    @Override
    public String LobbyItems_FUN_CHEST() {
        return "§cF§aU§eN§3Chest";
    }

    @Override
    public String LobbyItems_PROFILE() {
        return "§eIl tuo profilo";
    }

    @Override
    public String LobbyItems_YOUTUBER() {
        return "§5Altri funzioni";
    }

    @Override
    public String LobbyItems_SUGGESTION() {
        return "§6Suggestioni";
    }

    @Override
    public String LobbyItems_SPAWN() {
        return "§6Spawn";
    }

    @Override
    public String LobbyItems_PREMIUMHUB() {
        return "§6Lobby dei VIP";
    }

    @Override
    public String LobbyItems_MAYA() {
        return "§6Maya";
    }

    @Override
    public String LobbyItems_WOOLGET() {
        return "§6WoolGet";
    }

    @Override
    public String LobbyItems_BUILDSERVER() {
        return "§aServer per costruire";
    }

    @Override
    public String LobbyItems_PLAYERS_ONLINE() {
        return " §6giocatori sono online";
    }

    @Override
    public String LobbyItems_GADGETS() {
        return "§6Gadgets";
    }

    @Override
    public String LobbyItems_MUSIC() {
        return "§6Musica";
    }

    @Override
    public String LobbyItems_PARTICLE() {
        return "§6Particelle";
    }

    @Override
    public String LobbyItems_PETS() {
        return "§6Animali domestici";
    }

    @Override
    public String LobbyItems_YOUR_PET() {
        return "§6Il tuo animale domestico";
    }

    @Override
    public String LobbyItems_PETS_NAME() {
        return "§6Cambiare il nome";
    }

    @Override
    public String LobbyItems_PETS_AGE() {
        return "§6Cambiare l'età";
    }

    @Override
    public String LobbyItems_PETS_RIDE() {
        return "§6Cavalcarlo";
    }

    @Override
    public String LobbyItems_PETS_REMOVE() {
        return "§6Cancellarlo";
    }

    @Override
    public String LobbyItems_PETS_PIG() {
        return "§6Maiale";
    }

    @Override
    public String LobbyItems_PETS_COW() {
        return "§6Mucca";
    }

    @Override
    public String LobbyItems_PETS_CHICKEN() {
        return "§6Gallina";
    }

    @Override
    public String LobbyItems_PETS_RABBIT() {
        return "§6Coniglio";
    }

    @Override
    public String LobbyItems_PETS_MUSHROM_COW() {
        return "§6Muucelio";
    }

    @Override
    public String LobbyItems_PLAYER_MENU() {
        return " menu";
    }

    @Override
    public String LobbyItems_PLAYER_FRIEND() {
        return "§6Inviare una richiesta di amicizia";
    }

    @Override
    public String LobbyItems_PLAYER_PARTY() {
        return "§6Inviare una richiesta per una party";
    }

    @Override
    public String LobbyItems_PLAYER_PROFILE() {
        return "§6Il suo profilo";
    }

    @Override
    public String LobbyItems_PLAYER_STATS() {
        return "§6Statistiche";
    }

    @Override
    public String LobbyItems_STATS() {
        return "§6Le tue statistiche";
    }

    @Override
    public String LobbyItems_FRIENDS() {
        return "§6Amici";
    }

    @Override
    public String LobbyItems_SETTINGS() {
        return "§eOpzioni";
    }

    @Override
    public String LobbyItems_SETTINGS_FASTMENU() {
        return "§6Animazioni dell'inventario";
    }

    @Override
    public String LobbyItems_SETTINGS_SERVER_TELEPORT() {
        return "§6Server-Teleport";
    }

    @Override
    public String LobbyItems_SETTINGS_PARTY_REQUESTS() {
        return "§6Richieste per una party";
    }

    @Override
    public String LobbyItems_SETTINGS_FRIEND_REQUESTS() {
        return "§6Richieste di amicizia";
    }

    @Override
    public String LobbyItems_SETTINGS_CHATSOUNDS() {
        return "§6Suoni del chat";
    }

    @Override
    public String LobbyItems_SETTINGS_EFFECTS() {
        return "§6Effetti";
    }

    @Override
    public String LobbyItems_SETTINGS_LANGUAGES() {
        return "§6Lingue";
    }

    @Override
    public String LobbyItems_SETTINGS_ON() {
        return "§aattivato";
    }

    @Override
    public String LobbyItems_SETTINGS_OFF() {
        return "§cdisattivato";
    }

    @Override
    public String LobbyItems_BACK() {
        return "§cindietro";
    }

    @Override
    public String LobbyBoard_FOUND_SECRETS() {
        return "§eSegreti§7:";
    }

    @Override
    public String LobbyBoard_COINS() {
        return "§eI tuoi Coins§7:";
    }

    @Override
    public String LobbyBoard_TS() {
        return "§eTeamSpeak§7:";
    }

    @Override
    public String LobbyBoard_FORUM() {
        return "§eForum§7:";
    }

    @Override
    public String LobbyBoard_NEW() {
        return "§e§lNovità:";
    }

    @Override
    public String LobbyBoard_NEWS() {
        return "Scheibenwischer";
    }
}