package eu.univento.core.api.languages;

import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.api.player.Perms;

/**
 * @author joethei
 * @version 0.3
 */
public interface Languages{

    String UNKNOWN_ERROR();
    String NO_PERMS();
    String ERROR();
    String NOT_ONLINE(String name);
    String KICK_RESTART();
    String KICK_FULL();
    String COMMAND_NOT_FOUND();

    String Core_FIX_OWN();
    String Core_FIX_OTHER(CustomPlayer p);
    String Core_FIX_BY_OTHER(CustomPlayer p);
    String Core_NICK_ON();
    String Core_NICK_OFF();
    String Core_BUILD_ON();
    String Core_BUILD_OFF();
    String Core_BAN_NO_REASON();
    String Core_BAN_USAGE();
    String Core_BAN_BANNED(CustomPlayer p);
    String Core_GM_USAGE();
    String Core_GM_CHANGED();
    String Core_GLOBALMUTE_ON();
    String Core_GLOBALMUTE_OFF();
    String Core_RUNAS_USAGE();
    String Core_RUNAS_RUN(CustomPlayer p);
    String Core_SETRANK_USAGE();
    String Core_SETRANK_KICK();
    String Core_SETRANK_NO_RANK();
    String Core_SETRANK_SET(CustomPlayer p, Perms.Ranks rank);
    String Core_TS_ALLREADY_VERIFIED();
    String Core_TS_VERIFIED();
    String Core_VANISH_ON();
    String Core_VANISH_OFF();
    String Core_SERVER_MUTED();
    String Core_CHAT_CLEARED(CustomPlayer p);
    String Core_TAB_TITLE();

    String Lobby_PLAYERS_HIDE();
    String Lobby_PLAYERS_SHOW();
    String Lobby_AUTONICK_ON();
    String Lobby_AUTONICK_OFF();
    String Lobby_FORCEFIELD_ON();
    String Lobby_FORCEFIELD_OFF();
    String Lobby_SILENT_LOBBY_ON();
    String Lobby_SILENT_LOBBY_OFF();
    String Lobby_PLAYING_MUSIC_PREFIX();
    String Lobby_FOUND_ITEM_PREFIX();
    String Lobby_SET_LOCATION();
    String Lobby_SET_LOCATION_USAGE();
    String Lobby_DROP_ITEM_USAGE();
    String Lobby_DROP_ITEM();
    String Lobby_SET_SIGN();
    String Lobby_JOIN_TITLE_1();
    String Lobby_JOIN_TITLE_2();
    String Lobby_PET_ADD();
    String Lobby_PET_REMOVE();
    String Lobby_PARKOUR_ON();
    String Lobby_PARKOUR_OFF();

    String LobbyItems_NAVIGATOR();
    String LobbyItems_PLAYER_HIDER_ON();
    String LobbyItems_PLAYER_HIDER_OFF();
    String LobbyItems_AUTO_NICK();
    String LobbyItems_SILENT_LOBBY();
    String LobbyItems_FORCEFIELD();
    String LobbyItems_FUN_CHEST();
    String LobbyItems_PROFILE();
    String LobbyItems_YOUTUBER();
    String LobbyItems_SUGGESTION();
    String LobbyItems_SPAWN();
    String LobbyItems_PREMIUMHUB();
    String LobbyItems_MAYA();
    String LobbyItems_WOOLGET();
    String LobbyItems_BUILDSERVER();
    String LobbyItems_PLAYERS_ONLINE();
    String LobbyItems_GADGETS();
    String LobbyItems_MUSIC();
    String LobbyItems_PARTICLE();
    String LobbyItems_PETS();
    String LobbyItems_YOUR_PET();
    String LobbyItems_PETS_NAME();
    String LobbyItems_PETS_AGE();
    String LobbyItems_PETS_RIDE();
    String LobbyItems_PETS_REMOVE();
    String LobbyItems_PETS_PIG();
    String LobbyItems_PETS_COW();
    String LobbyItems_PETS_CHICKEN();
    String LobbyItems_PETS_RABBIT();
    String LobbyItems_PETS_MUSHROM_COW();
    String LobbyItems_PLAYER_MENU();
    String LobbyItems_PLAYER_FRIEND();
    String LobbyItems_PLAYER_PARTY();
    String LobbyItems_PLAYER_PROFILE();
    String LobbyItems_PLAYER_STATS();
    String LobbyItems_STATS();
    String LobbyItems_FRIENDS();
    String LobbyItems_SETTINGS();
    String LobbyItems_SETTINGS_FASTMENU();
    String LobbyItems_SETTINGS_SERVER_TELEPORT();
    String LobbyItems_SETTINGS_PARTY_REQUESTS();
    String LobbyItems_SETTINGS_FRIEND_REQUESTS();
    String LobbyItems_SETTINGS_CHATSOUNDS();
    String LobbyItems_SETTINGS_EFFECTS();
    String LobbyItems_SETTINGS_LANGUAGES();
    String LobbyItems_SETTINGS_ON();
    String LobbyItems_SETTINGS_OFF();
    String LobbyItems_BACK();

    String LobbyBoard_FOUND_SECRETS();
    String LobbyBoard_COINS();
    String LobbyBoard_NEW();
    String LobbyBoard_NEWS();
    String LobbyBoard_TS();
    String LobbyBoard_FORUM();
}