package eu.univento.core.api.languages;

import eu.univento.core.api.player.CustomPlayer;
import eu.univento.core.api.player.Perms;

/**
 * @author joethei
 * @version  1.0
 */

public class Language_DE implements Languages{

    @Override
    public String UNKNOWN_ERROR() {
        return "§cEs ist ein unbekannter Fehler aufgetreten";
    }

    @Override
    public String NO_PERMS() {
        return "§cDu hast keine Berechtigung diesen Befehl auszuführen";
    }

    @Override
    public String ERROR() {
        return "§cFehler: ";
    }

    @Override
    public String NOT_ONLINE(String name) {
        return "§7" + name + " ist §cnicht §7online";
    }

    @Override
    public String KICK_RESTART() {
        return "§cDer Server wurde neu gestartet";
    }

    @Override
    public String KICK_FULL() {
        return "§cDieser Server ist bereits voll";
    }

    @Override
    public String COMMAND_NOT_FOUND() {
        return "§cDieser Befehl konnte nicht gefunden werden";
    }

    @Override
    public String Core_FIX_OWN() {
        return "§7Du wurdest §egefixt";
    }

    @Override
    public String Core_FIX_OTHER(CustomPlayer p) {
        return "§7Du hast " + p.getDisplayName() + " §egefixt";
    }

    @Override
    public String Core_FIX_BY_OTHER(CustomPlayer p) {
        return "§7Du wurdest von " + p.getDisplayName() + " §egefixt";
    }

    @Override
    public String Core_NICK_ON() {
        return "§7Du hast einen §eNicknamen §7zugewiesen bekommen";
    }

    @Override
    public String Core_NICK_OFF() {
        return "§7Du hast nun §ckeinen §eNicknamen §7mehr";
    }

    @Override
    public String Core_BUILD_ON() {
        return "§7Du hast den Baumodus §abetreten";
    }

    @Override
    public String Core_BUILD_OFF() {
        return "§7Du hast den Baumodus §cverlassen";
    }

    @Override
    public String Core_BAN_NO_REASON() {
        return "§cDieser Grund exsistiert nicht";
    }

    @Override
    public String Core_BAN_USAGE() {
        return "§cNutze <Spieler> <Grund>";
    }

    @Override
    public String Core_BAN_BANNED(CustomPlayer p) {
        return "§7Du hast " + p.getColor() + p.getDisplayName() + " §cgebannt";
    }

    @Override
    public String Core_GM_USAGE() {
        return "§7Nutze §e/gm <0 | 1 | 2 | 3>";
    }

    @Override
    public String Core_GM_CHANGED() {
        return "§7Dein Spielmodus wurde §ageändert";
    }

    @Override
    public String Core_GLOBALMUTE_ON() {
        return "§7Der Server wurde §cstumm gestellt";
    }

    @Override
    public String Core_GLOBALMUTE_OFF() {
        return "§7Der Server wurde §asozial §7gestellt";
    }

    @Override
    public String Core_RUNAS_USAGE() {
        return "§cFühre /runas <Spieler> <Befehl>";
    }

    @Override
    public String Core_RUNAS_RUN(CustomPlayer p) {
        return "§7Der Spieler " + p.getColor() + p.getDisplayName() + " §7hat deinen Befehl §eerfolgreich §7ausgeführt";
    }

    @Override
    public String Core_SETRANK_USAGE() {
        return "§cNutze /setrank <Spieler> <Rang>";
    }

    @Override
    public String Core_SETRANK_KICK() {
        return "\n§aDu hast nun einen neuen Rang.§e\nBitte joine neu§7.";
    }

    @Override
    public String Core_SETRANK_NO_RANK() {
        return "§cDieser Rang exsistiert nicht";
    }

    @Override
    public String Core_SETRANK_SET(CustomPlayer p, Perms.Ranks rank) {
        return "§7Du hast dem Spieler " + p.getDisplayName() + " auf §e" + rank.toString() + " §7gesetzt";
    }
    @Override
    public String Core_TS_ALLREADY_VERIFIED() {
        return "§cDu hast bereits einen verifizierten Account";
    }

    @Override
    public String Core_TS_VERIFIED() {
        return "§7Du hast deinen Account §eerfolgreich §7verifiziert";
    }

    @Override
    public String Core_VANISH_ON() {
        return "§7Du bist nun §aunsichtbar";
    }

    @Override
    public String Core_VANISH_OFF() {
        return "§7Du bist nun wieder §csichtbar";
    }

    @Override
    public String Core_SERVER_MUTED() {
        return "§7Der Chat ist bis auf weiteres §cgesperrt";
    }

    @Override
    public String Core_CHAT_CLEARED(CustomPlayer p) {
        return "§7Der Chat wurde von " + p.getColor() + p.getDisplayName() + " §cgereinigt";
    }

    @Override
    public String Core_TAB_TITLE() {
        return "§7Du spielst auf §e";
    }

    @Override
    public String Lobby_PLAYERS_HIDE() {
        return "§7Du kannst nun §ckeine §7Spieler mehr sehen";
    }

    @Override
    public String Lobby_PLAYERS_SHOW() {
        return "§7Du kannst nun §aalle §7Spieler sehen";
    }

    @Override
    public String Lobby_AUTONICK_ON() {
        return "§7Du §aerhälst §7nun einen automatischen §eNicknamen";
    }

    @Override
    public String Lobby_AUTONICK_OFF() {
        return "§7Du hast nun §ckeinen §7automatischen §eNicknamen §7mehr";
    }

    @Override
    public String Lobby_FORCEFIELD_ON() {
        return "§7Du hast das §eSchutzschild §aaktiviert";
    }

    @Override
    public String Lobby_FORCEFIELD_OFF() {
        return "§7Du hast das §eSchutzschild §cdeaktiviert";
    }

    @Override
    public String Lobby_SILENT_LOBBY_ON() {
        return "§7Du hast die §eSilent-Lobby §abetreten";
    }

    @Override
    public String Lobby_SILENT_LOBBY_OFF() {
        return "§7Du hast die §eSilent-Lobby §cverlassen";
    }

    @Override
    public String Lobby_PLAYING_MUSIC_PREFIX() {
        return "§6Jetzt spielt: ";
    }

    @Override
    public String Lobby_FOUND_ITEM_PREFIX() {
        return "§7Du hast etwas §egefunden";
    }

    @Override
    public String Lobby_SET_LOCATION() {
        return "§aPosition wurde gesetzt";
    }

    @Override
    public String Lobby_SET_LOCATION_USAGE() {
        return "§cNutze /setloc <Name>";
    }

    @Override
    public String Lobby_DROP_ITEM_USAGE() {
        return "§cNutze /dropitem <Item>";
    }

    @Override
    public String Lobby_DROP_ITEM() {
        return "§aDu hast ein Item gelegt";
    }

    @Override
    public String Lobby_SET_SIGN() {
        return "§aNeues Status Schild erstellt";
    }

    @Override
    public String Lobby_JOIN_TITLE_1() {
        return "§6univento§7.§eeu";
    }

    @Override
    public String Lobby_JOIN_TITLE_2() {
        return "§cIch putze hier nur";
    }

    @Override
    public String Lobby_PET_ADD() {
        return "§7Du hast nun ein §eHaustier";
    }

    @Override
    public String Lobby_PET_REMOVE() {
        return "§7Du hast nun §ckein §eHaustier §7mehr";
    }

    @Override
    public String Lobby_PARKOUR_ON() {
        return "§7Du hast den §eParkourmodus §abetreten";
    }

    @Override
    public String Lobby_PARKOUR_OFF() {
        return "§7Du hast den §eParkourmodus §cverlassen";
    }

    @Override
    public String LobbyItems_NAVIGATOR() {
        return "§eNavigator";
    }

    @Override
    public String LobbyItems_PLAYER_HIDER_ON() {
        return "§cSpieler verstecken";
    }

    @Override
    public String LobbyItems_PLAYER_HIDER_OFF() {
        return "§aSpieler anzeigen";
    }

    @Override
    public String LobbyItems_AUTO_NICK() {
        return "§5AutoNick";
    }

    @Override
    public String LobbyItems_SILENT_LOBBY() {
        return "§cSilent-Lobby";
    }

    @Override
    public String LobbyItems_FORCEFIELD() {
        return "§aSchutzschild";
    }

    @Override
    public String LobbyItems_FUN_CHEST() {
        return "§cF§aU§eN§3Chest";
    }

    @Override
    public String LobbyItems_PROFILE() {
        return "§eDein Profil";
    }

    @Override
    public String LobbyItems_YOUTUBER() {
        return "§5Youtuber Funktionen";
    }

    @Override
    public String LobbyItems_SUGGESTION() {
        return "§6Vorschläge";
    }

    @Override
    public String LobbyItems_SPAWN() {
        return "§6Spawn";
    }

    @Override
    public String LobbyItems_PREMIUMHUB() {
        return "§6Premium Lobby";
    }

    @Override
    public String LobbyItems_MAYA() {
        return "§6Maya";
    }

    @Override
    public String LobbyItems_WOOLGET() {
        return "§6WoolGet";
    }

    @Override
    public String LobbyItems_BUILDSERVER() {
        return "§aBau-Server";
    }

    @Override
    public String LobbyItems_PLAYERS_ONLINE() {
        return " §6Spieler online";
    }

    @Override
    public String LobbyItems_GADGETS() {
        return "§6Gadgets";
    }

    @Override
    public String LobbyItems_MUSIC() {
        return "§6Musik";
    }

    @Override
    public String LobbyItems_PARTICLE() {
        return "§6Partikel";
    }

    @Override
    public String LobbyItems_PETS() {
        return "§6Haustiere";
    }

    @Override
    public String LobbyItems_YOUR_PET() {
        return "§6Dein Haustier";
    }

    @Override
    public String LobbyItems_PETS_NAME() {
        return "§6Namen ändern";
    }

    @Override
    public String LobbyItems_PETS_AGE() {
        return "§6Alter ändern";
    }

    @Override
    public String LobbyItems_PETS_RIDE() {
        return "§6Reiten";
    }

    @Override
    public String LobbyItems_PETS_REMOVE() {
        return "§6Haustier entfernen";
    }

    @Override
    public String LobbyItems_PETS_PIG() {
        return "§6Schwein";
    }

    @Override
    public String LobbyItems_PETS_COW() {
        return "§6Kuh";
    }

    @Override
    public String LobbyItems_PETS_CHICKEN() {
        return "§6Hühnchen";
    }

    @Override
    public String LobbyItems_PETS_RABBIT() {
        return "§6Hase";
    }

    @Override
    public String LobbyItems_PETS_MUSHROM_COW() {
        return "§6Pilzkuh";
    }

    @Override
    public String LobbyItems_PLAYER_MENU() {
        return " Menü";
    }

    @Override
    public String LobbyItems_PLAYER_FRIEND() {
        return "§6Freundschaftsanfrage senden";
    }

    @Override
    public String LobbyItems_PLAYER_PARTY() {
        return "§6Party Anfrage senden";
    }

    @Override
    public String LobbyItems_PLAYER_PROFILE() {
        return "§6Profil";
    }

    @Override
    public String LobbyItems_PLAYER_STATS() {
        return "§6Statistiken";
    }

    @Override
    public String LobbyItems_STATS() {
        return "§6Deine Statistiken";
    }

    @Override
    public String LobbyItems_FRIENDS() {
        return "§6Freunde";
    }

    @Override
    public String LobbyItems_SETTINGS() {
        return "§eEinstellungen";
    }

    @Override
    public String LobbyItems_SETTINGS_FASTMENU() {
        return "§6Inventar Animation";
    }

    @Override
    public String LobbyItems_SETTINGS_SERVER_TELEPORT() {
        return "§6Server-Teleport";
    }

    @Override
    public String LobbyItems_SETTINGS_PARTY_REQUESTS() {
        return "§6Party Anfragen";
    }

    @Override
    public String LobbyItems_SETTINGS_FRIEND_REQUESTS() {
        return "§6Freundschafts Anfragen";
    }

    @Override
    public String LobbyItems_SETTINGS_CHATSOUNDS() {
        return "§6Chat Geräusche";
    }

    @Override
    public String LobbyItems_SETTINGS_EFFECTS() {
        return "§6Effekte";
    }

    @Override
    public String LobbyItems_SETTINGS_LANGUAGES() {
        return "§6Sprachen";
    }

    @Override
    public String LobbyItems_SETTINGS_ON() {
        return "§aaktiviert";
    }

    @Override
    public String LobbyItems_SETTINGS_OFF() {
        return "§cdeaktiviert";
    }

    @Override
    public String LobbyItems_BACK() {
        return "§cZurück";
    }

    @Override
    public String LobbyBoard_FOUND_SECRETS() {
        return "§eVerstecke§7:";
    }

    @Override
    public String LobbyBoard_COINS() {
        return "§eDeine Coins§7:";
    }

    @Override
    public String LobbyBoard_TS() {
        return "§eTeamSpeak§7:";
    }

    @Override
    public String LobbyBoard_FORUM() {
        return "§eForum§7:";
    }

    @Override
    public String LobbyBoard_NEW() {
        return "§e§lJetzt neu:";
    }

    @Override
    public String LobbyBoard_NEWS() {
        return "Scheibenwischer";
    }

}