package eu.univento.core.api.youtube;

import java.beans.ConstructorProperties;

public class YoutubeChannel {
	String about_us;
	String title;
	String username;
	String subscribers;
	String googleplusid;
	String firstname = "";
	String lastname = "";
	String location;
	String lastwebaccess;
	int videoWatchCount;
	int viewcount;
	String totaluploadViews;
	String avatar;

	@ConstructorProperties({ "about_us", "title", "username", "subscribers", "googleplusid", "firstname", "lastname",
			"location", "lastwebaccess", "videoWatchCount", "viewcount", "totaluploadViews", "avatar" })
	public YoutubeChannel(String about_us, String title, String username, String subscribers, String googleplusid,
			String firstname, String lastname, String location, String lastwebaccess, int videoWatchCount,
			int viewcount, String totaluploadViews, String avatar) {
		this.about_us = about_us;
		this.title = title;
		this.username = username;
		this.subscribers = subscribers;
		this.googleplusid = googleplusid;
		this.firstname = firstname;
		this.lastname = lastname;
		this.location = location;
		this.lastwebaccess = lastwebaccess;
		this.videoWatchCount = videoWatchCount;
		this.viewcount = viewcount;
		this.totaluploadViews = totaluploadViews;
		this.avatar = avatar;
	}

	public String getAbout_us() {
		return this.about_us;
	}

	public String getTitle() {
		return this.title;
	}

	public String getUsername() {
		return this.username;
	}

	public String getSubscribers() {
		return this.subscribers;
	}

	public String getGoogleplusid() {
		return this.googleplusid;
	}

	public String getFirstname() {
		return this.firstname;
	}

	public String getLastname() {
		return this.lastname;
	}

	public String getLocation() {
		return this.location;
	}

	public String getLastwebaccess() {
		return this.lastwebaccess;
	}

	public int getVideoWatchCount() {
		return this.videoWatchCount;
	}

	public int getViewcount() {
		return this.viewcount;
	}

	public String getTotaluploadViews() {
		return this.totaluploadViews;
	}

	public String getAvatar() {
		return this.avatar;
	}

	public void setAbout_us(String about_us) {
		this.about_us = about_us;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public void setSubscribers(String subscribers) {
		this.subscribers = subscribers;
	}

	public void setGoogleplusid(String googleplusid) {
		this.googleplusid = googleplusid;
	}

	public void setFirstname(String firstname) {
		this.firstname = firstname;
	}

	public void setLastname(String lastname) {
		this.lastname = lastname;
	}

	public void setLocation(String location) {
		this.location = location;
	}

	public void setLastwebaccess(String lastwebaccess) {
		this.lastwebaccess = lastwebaccess;
	}

	public void setVideoWatchCount(int videoWatchCount) {
		this.videoWatchCount = videoWatchCount;
	}

	public void setViewcount(int viewcount) {
		this.viewcount = viewcount;
	}

	public void setTotaluploadViews(String totaluploadViews) {
		this.totaluploadViews = totaluploadViews;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public boolean equals(Object o) {
		if (o == this)
			return true;
		if (!(o instanceof YoutubeChannel))
			return false;
		YoutubeChannel other = (YoutubeChannel) o;
		if (!other.canEqual(this))
			return false;
		Object this$about_us = getAbout_us();
		Object other$about_us = other.getAbout_us();
		if (this$about_us == null ? other$about_us != null : !this$about_us.equals(other$about_us))
			return false;
		Object this$title = getTitle();
		Object other$title = other.getTitle();
		if (this$title == null ? other$title != null : !this$title.equals(other$title))
			return false;
		Object this$username = getUsername();
		Object other$username = other.getUsername();
		if (this$username == null ? other$username != null : !this$username.equals(other$username))
			return false;
		Object this$subscribers = getSubscribers();
		Object other$subscribers = other.getSubscribers();
		if (this$subscribers == null ? other$subscribers != null : !this$subscribers.equals(other$subscribers))
			return false;
		Object this$googleplusid = getGoogleplusid();
		Object other$googleplusid = other.getGoogleplusid();
		if (this$googleplusid == null ? other$googleplusid != null : !this$googleplusid.equals(other$googleplusid))
			return false;
		Object this$firstname = getFirstname();
		Object other$firstname = other.getFirstname();
		if (this$firstname == null ? other$firstname != null : !this$firstname.equals(other$firstname))
			return false;
		Object this$lastname = getLastname();
		Object other$lastname = other.getLastname();
		if (this$lastname == null ? other$lastname != null : !this$lastname.equals(other$lastname))
			return false;
		Object this$location = getLocation();
		Object other$location = other.getLocation();
		if (this$location == null ? other$location != null : !this$location.equals(other$location))
			return false;
		Object this$lastwebaccess = getLastwebaccess();
		Object other$lastwebaccess = other.getLastwebaccess();
		if (this$lastwebaccess == null ? other$lastwebaccess != null : !this$lastwebaccess.equals(other$lastwebaccess))
			return false;
		if (getVideoWatchCount() != other.getVideoWatchCount())
			return false;
		if (getViewcount() != other.getViewcount())
			return false;
		Object this$totaluploadViews = getTotaluploadViews();
		Object other$totaluploadViews = other.getTotaluploadViews();
		if (this$totaluploadViews == null ? other$totaluploadViews != null
				: !this$totaluploadViews.equals(other$totaluploadViews))
			return false;
		Object this$avatar = getAvatar();
		Object other$avatar = other.getAvatar();
		return this$avatar == null ? other$avatar == null : this$avatar.equals(other$avatar);
	}

	public boolean canEqual(Object other) {
		return other instanceof YoutubeChannel;
	}

	public int hashCode() {
		int PRIME = 31;
		int result = 1;
		Object $about_us = getAbout_us();
		result = result * 31 + ($about_us == null ? 0 : $about_us.hashCode());
		Object $title = getTitle();
		result = result * 31 + ($title == null ? 0 : $title.hashCode());
		Object $username = getUsername();
		result = result * 31 + ($username == null ? 0 : $username.hashCode());
		Object $subscribers = getSubscribers();
		result = result * 31 + ($subscribers == null ? 0 : $subscribers.hashCode());
		Object $googleplusid = getGoogleplusid();
		result = result * 31 + ($googleplusid == null ? 0 : $googleplusid.hashCode());
		Object $firstname = getFirstname();
		result = result * 31 + ($firstname == null ? 0 : $firstname.hashCode());
		Object $lastname = getLastname();
		result = result * 31 + ($lastname == null ? 0 : $lastname.hashCode());
		Object $location = getLocation();
		result = result * 31 + ($location == null ? 0 : $location.hashCode());
		Object $lastwebaccess = getLastwebaccess();
		result = result * 31 + ($lastwebaccess == null ? 0 : $lastwebaccess.hashCode());
		result = result * 31 + getVideoWatchCount();
		result = result * 31 + getViewcount();
		Object $totaluploadViews = getTotaluploadViews();
		result = result * 31 + ($totaluploadViews == null ? 0 : $totaluploadViews.hashCode());
		Object $avatar = getAvatar();
		return result * 31 + ($avatar == null ? 0 : $avatar.hashCode());
	}

	public String toString() {
		return "YoutubeChannel(about_us=" + getAbout_us() + ", title=" + getTitle() + ", username=" + getUsername()
				+ ", subscribers=" + getSubscribers() + ", googleplusid=" + getGoogleplusid() + ", firstname="
				+ getFirstname() + ", lastname=" + getLastname() + ", location=" + getLocation() + ", lastwebaccess="
				+ getLastwebaccess() + ", videoWatchCount=" + getVideoWatchCount() + ", viewcount=" + getViewcount()
				+ ", totaluploadViews=" + getTotaluploadViews() + ", avatar=" + getAvatar() + ")";
	}
}